Skip to content

Customers

The client or project level that servers belong to.

GET/api/customers
GET/api/customers/:id
GET/api/customers/:id/stats
POST/api/customers
PUT/api/customers/:id
GET/api/customers/:id/delete-impact
DELETE/api/customers/:id

List customers ​

GET/api/customers

Authentication: bearer token.
Permission: customers.view.

bash
curl -X GET "https://shellius.example.com/api/customers" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Get customer ​

GET/api/customers/:id

Authentication: bearer token.
Permission: customers.view.

Path parameters

NameTypeNotes
idstring
bash
curl -X GET "https://shellius.example.com/api/customers/{id}" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Customer server stats ​

GET/api/customers/:id/stats

Authentication: bearer token.
Permission: customers.view.

Path parameters

NameTypeNotes
idstring
bash
curl -X GET "https://shellius.example.com/api/customers/{id}/stats" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Create customer ​

POST/api/customers

Authentication: bearer token.
Permission: customers.create.

Request body

NameTypeRequiredNotes
namestringYes1–200 characters.
slugstringNo
descriptionstringNoAt most 1000 characters. May be null.
metadataobjectNo
bash
curl -X POST "https://shellius.example.com/api/customers" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "…"
  }'

201 Created

json
{ "success": true, "data": { … } }

Update customer ​

PUT/api/customers/:id

Authentication: bearer token.
Permission: customers.update.

Path parameters

NameTypeNotes
idstring

Request body

NameTypeRequiredNotes
namestringNo1–200 characters.
descriptionstringNoAt most 1000 characters. May be null.
metadataobjectNo
isActivebooleanNo
bash
curl -X PUT "https://shellius.example.com/api/customers/{id}" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "…",
    "description": "…",
    "metadata": {}
  }'

200 OK

json
{ "success": true, "data": { … } }

Preview customer delete impact ​

GET/api/customers/:id/delete-impact

Authentication: bearer token.
Permission: customers.delete.

Path parameters

NameTypeNotes
idstring
bash
curl -X GET "https://shellius.example.com/api/customers/{id}/delete-impact" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Delete customer ​

DELETE/api/customers/:id

Authentication: bearer token.
Permission: customers.delete.

Path parameters

NameTypeNotes
idstring
bash
curl -X DELETE "https://shellius.example.com/api/customers/{id}" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }
Was this page helpful?No, tell us why